#include <windows.h>

LRESULT CALLBACK WndProc (HWND, UINT, WPARAM, LPARAM);

int WINAPI WinMain (HINSTANCE hInstance, HINSTANCE hPrevInstance, PSTR szCmdLine, int iCmdShow) {

     HWND         hwnd;
     MSG          msg;
     WNDCLASS     wndclass;
     
	 iCmdShow=1;
     
     wndclass.style         = CS_HREDRAW | CS_VREDRAW;
     wndclass.lpfnWndProc   = WndProc;
     wndclass.cbClsExtra    = 0;
     wndclass.cbWndExtra    = 0;
     wndclass.hInstance     = hInstance;
     wndclass.hIcon         = LoadIcon (NULL, IDI_APPLICATION);
     wndclass.hCursor       = LoadCursor (NULL, IDC_ARROW);
     wndclass.hbrBackground = (HBRUSH) GetStockObject (LTGRAY_BRUSH);
     wndclass.lpszMenuName  = NULL;
     wndclass.lpszClassName = "BtnLook";
     RegisterClass (&wndclass);
     
     hwnd = CreateWindowEx (WS_EX_LTRREADING, "BtnLook", TEXT ("Button Look"),
                          WS_OVERLAPPEDWINDOW,
                          CW_USEDEFAULT, CW_USEDEFAULT,
                          CW_USEDEFAULT, CW_USEDEFAULT,
                          NULL, NULL, hInstance, NULL);

     ShowWindow (hwnd, iCmdShow);
     UpdateWindow (hwnd);
while (GetMessage (&msg, NULL, 0, 0)) {  
TranslateMessage (&msg);
DispatchMessage (&msg);
}
return msg.wParam ;

return 1;
}

LRESULT CALLBACK WndProc (HWND hwnd, UINT message, WPARAM wParam, LPARAM lParam)
{
static HWND hwndButton[2];
int i;
     
switch (message) {
case WM_CREATE :
i=0;
hwndButton[i] = CreateWindowEx (WS_EX_LTRREADING, TEXT("button"), "Prvi", WS_CHILD | WS_VISIBLE | BS_PUSHBUTTON, 400, 200, 80, 80, hwnd, (HMENU) i, ((LPCREATESTRUCT) lParam)->hInstance, NULL);
i=1;
hwndButton[i] = CreateWindowEx (WS_EX_LTRREADING, TEXT("button"), "Drugi", WS_CHILD | WS_VISIBLE | BS_PUSHBUTTON, 400, 400, 80, 80, hwnd, (HMENU) i, ((LPCREATESTRUCT) lParam)->hInstance, NULL);
return 0;

case WM_COMMAND :
if (wParam==0) MessageBox (hwnd, "Kliknuli ste na prvo dugme!", "Prozor", MB_OK);
if (wParam==1) MessageBox (hwnd, "Kliknuli ste na drugo dugme!", "Prozor", MB_OK);
return 0;
          
case WM_DESTROY :
PostQuitMessage (0);
return 0;
}
return DefWindowProc (hwnd, message, wParam, lParam);
	 
return 0;
}
